# 测试组件
----
buttons列表组件

### 基本用法
通过传入props来展示button组

<div class="demo-block">
  <img src="../assets/image/list-buttons.png" />
</div>

::: demo
```html

<script>
  export default{
    data () {
        return {
          isShow: false,
          params: {
            appId:'', // your appId
            formId:'', // your formId
            bindAuthId: '' // your bindAuthId
          }
        }
    },
    methods: {
    }
  }
</script>

<div class=" demo-block">
  <a href="javascript:;" @click="isShow = true">批量导入</a>
  <cap4-bulk-import v-if="isShow" :params="params"></cap4-bulk-import>
</div>

```
:::

### Attributes
| 参数      | 说明                                 | 类型      | 可选值       | 默认值   |
|---------- |------------------------------------ |---------- |------------- |-------- |
|params      |	参数 (必填)) |	Object   |	—           |	—       |
|path	      | 网站path     |	string   | /seeyon/common/cap4/template/base/cap4-bulk |

### params
| 参数      | 说明                                 | 类型      | 可选值       | 默认值   |
|---------- |------------------------------------ |---------- |------------- |-------- |
|appId      |	appId (必填) |	String   |	—           |	—       |
|formId      |	formId (必填) |	String   |	—           |	—       |
|bindAuthId      |	bindAuthId (必填) |	String   |	—           |	—       |

### Event
| 事件名称      | 说明       | 回调参数   |
|------------- |----------- |---------  |
|success         |成功回调| —  |
|close         |关闭回调| —  |
