# 通用title 组件
----
### 引入
```
import Cap4Title from 'cap4-business/lib/cap4-title';
import 'cap4-business/lib/cap4-title/css/cap4-title.css';
```
### 用法
* 图标依赖于 cap4字体库


### 示例
<script>
  export default{
    data () {
      return {
        name: '测试批量无流程',
        count: 20,
      }
    },
    methods: {
      buttonEvent(){
        console.log(arguments)
      }
    }
  }
</script>
<div class="demo-block">
  <cap4-title :name="name" :count="count" type="1"></cap4-title>
</div>

::: demo
```html

<script>
  export default{
    data () {
      return {
        name: '测试批量无流程',
        count: 20,
      }
    },
    methods: {
      buttonEvent(){
        console.log(arguments)
      }
    }
  }
</script>
<div class="demo-block">
  <cap4-title :name="name" :count="count" type="1"></cap4-title>
</div>

```
:::

### Attributes
| 参数      | 说明                                 | 类型      | 可选值       | 默认值   |
|---------- |------------------------------------ |---------- |------------- |-------- |
|name      |	title显示文本 |	 String   |	  —     |	—       |
|count	      | 条数     |	Number   |	—           |	—       |
|type	      | 类型     |	String|Number   |	(1:有打印导出, 2:没有打印导出)   |	—       |
