// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

// import Cap4Business from '../lib/index'
import Cap4Business from '../packages/index'
import Cap4Columns from '../packages_columns/index'

Vue.use(Cap4Business);
Vue.use(Cap4Columns);
// 图标库
import  '../src/assets/cap4-icon/iconfont.css'

import demoBlock from './components/demo-block.vue'
Vue.component('demo-block', demoBlock)

Vue.config.productionTip = false



// // 路由拦截
// router.beforeEach((to, from, next) => {
//   if (to.path.indexOf('custom-')>=0) {
//
//   } else {
//
//   }
// })

/* eslint-disable no-new */
Vue.prototype.$navRouter = router;
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
