import { _ctxPath } from './env.js';
import env from "_src/env/env.js"

export default {
    bussId: process.env.NODE_ENV === 'production' ? location.href.split('/')[location.href.split('/').length - 4]:env.bussId,
    client: '1',
    //路由的url
    routerUrl: `${_ctxPath}/common/cap4/template/display/pc/`,
    // 根据业务id获取业务左边的菜单数据
    getMenusByBussIdUrl: `${_ctxPath}/rest/cap4/template/getMenusByBussId/`,
    // 根据业务包id获取当前人员模板信息
    getTemplatesByCurrentUserUrl: `${_ctxPath}/rest/cap4/template/getTemplatesByCurrentUser/`,
    getUrlTime(){
      let d = new Date();
      return '?_t='+d.getTime();
    },
    getUrlParam: name => {
        const reg = new RegExp("(^|&|#|/?)" + name + "=([^&]*)(&|$)", "i");
        const r = window.parent.location.href.substr(1).match(reg);
        if (r != null) {
            let result = unescape(r[2]);
            if (result.indexOf('#') > 0) {
                result = result.slice(0, result.indexOf('#'));
            };
            return result;
        }
        return null;
    }
}
