export function getElementLeft(element, endElement) {　　　　
    let actualLeft = element.offsetLeft;　　　　
    let current = element.offsetParent;

    if (endElement) {
        while (current !== endElement) {
            actualLeft += current.offsetLeft;　　　　　　
            current = current.offsetParent;
        }
    } else {
        while (current !== null) {　　　　　　
            actualLeft += current.offsetLeft;　　　　　　
            current = current.offsetParent;　　　　
        } 
    }

    return actualLeft;
}

export function getElementTop(element, endElement) {　　　　
    let actualTop = element.offsetTop;　　　　
    let current = element.offsetParent;

    if (endElement) {
        while (current !== endElement) {　　　　　　
            actualTop += current.offsetTop;　　　　　　
            current = current.offsetParent;　　　　
        }
    } else {
        while (current !== null) {　　　　　　
            actualTop += current.offsetTop;　　　　　　
            current = current.offsetParent;　　　　
        }
    }

    return actualTop;
}