'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

exports.copyData = copyData;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function copyData(result) {
  var deepCopy = function deepCopy(sourse) {
    var obj = void 0;

    if (sourse instanceof Array) {
      obj = [];
      for (var i = 0, len = sourse.length; i < len; i++) {
        obj[i] = (0, _typeof3.default)(sourse[i]) === 'object' && sourse[i] !== null ? deepCopy(sourse[i]) : sourse[i];
      }
    } else {
      obj = {};
      (0, _keys2.default)(sourse).forEach(function (key, __ind) {
        obj[key] = (0, _typeof3.default)(sourse[key]) === 'object' && sourse[key] !== null ? deepCopy(sourse[key]) : sourse[key];
      });
    }
    return obj;
  };
  return deepCopy(result);
}