import Cap4ConditionContent from './src/cap4-condition-content';
import Cap4ConditionFilter from './src/cap4-condition-filter';


const components = [Cap4ConditionContent,Cap4ConditionFilter];

for(let i=0;i<components.length;i++){
  let component = components[i];
  component.install = function (Vue) {
    Vue.component(component.name, component);
  };
}

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}

export default  {
  install,
  Cap4ConditionContent,
  Cap4ConditionFilter
}
