'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = require('../src/utils/utils.js');

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var vtableView2 = null;
var vtableView2Header = null;
var vtableBody1 = null;
var vtableBody2 = null;
var vtableBody1Inner = null;
exports.default = {
    methods: {
        body1Mousewheel: function body1Mousewheel(e) {

            if(!vtableBody2) vtableBody2 = this.$el.querySelector('.v-table-rightview .v-table-body');

            var e1 = e.originalEvent || window.event || e;
            var scrollHeight = e1.wheelDelta || e1.detail * -1;
            vtableBody2.scrollTop = vtableBody2.scrollTop - scrollHeight;
        },
        body2Scroll: function body2Scroll(e) {

            if(!vtableView2) vtableView2 = this.$el.querySelector('.v-table-rightview');
            if(!vtableBody1) vtableBody1 = this.$el.querySelector('.v-table-leftview .v-table-body');
            if(!vtableBody2) vtableBody2 = this.$el.querySelector('.v-table-rightview .v-table-body');

            if (vtableBody1) {
                if(!vtableBody1Inner) vtableBody1Inner = vtableBody1.querySelector('.v-table-body-inner');
                //  vtableBody1Inner.style.transform="translate3d(0px,-"+vtableBody2.scrollTop+"px, 0px)";
                vtableBody1.scrollTop = vtableBody2.scrollTop;
            }
            if(!vtableView2Header) vtableView2Header = vtableView2.querySelector('.v-table-header');
            vtableView2Header.scrollLeft = vtableBody2.scrollLeft;
        },
        scrollControl: function scrollControl() {
            var _this = this;

            this.$nextTick(function (x) {

                var body1 = _this.$el.querySelector('.v-table-leftview .v-table-body');
                var body2 = _this.$el.querySelector('.v-table-rightview .v-table-body');


                _utils2.default.bind(body1, 'mousewheel', _this.body1Mousewheel);
                _utils2.default.bind(body2, 'scroll', _this.body2Scroll);

                if(!vtableView2) vtableView2 = this.$el.querySelector('.v-table-rightview');
            });

        },
        closeShowDataFilter: function closeshowDataFilter() {
          this.showDataFilter = false;
        }
    },

    beforeDestroy: function beforeDestroy() {
       vtableView2 = null;
       vtableView2Header = null;
       vtableBody1 = null;
       vtableBody2 = null;
       vtableBody1Inner = null;
        var body1 = this.$el.querySelector('.v-table-leftview .v-table-body');
        var body2 = this.$el.querySelector('.v-table-rightview .v-table-body');

        _utils2.default.unbind(body1, 'mousewheel', this.body1Mousewheel);
        _utils2.default.unbind(body2, 'scroll', this.body2Scroll);
    }
};
