import Cap4StatisticsPieGroup from './src/eap-echart-pie-group.vue';
import Cap4StatisticsLine from './src/eap-echart-line.vue';
import Cap4StatisticsLineFixed from './src/eap-echart-line-fixed.vue';
import Cap4StatisticsLineFixedPc from './src/eap-echart-line-fixed.vue';
import Cap4StatisticsRadar from './src/eap-echart-radar.vue'

const components = [Cap4StatisticsPieGroup,Cap4StatisticsLine,Cap4StatisticsLineFixed,Cap4StatisticsRadar];

for(let i=0;i<components.length;i++){
  let component = components[i];
  component.install = function (Vue) {
    Vue.component(component.name, component);
  };
}

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}

export default  {
  install,
  Cap4StatisticsPieGroup,
  Cap4StatisticsLine,
  Cap4StatisticsLineFixed,
  Cap4StatisticsLineFixedPc,
  Cap4StatisticsRadar
}
