export const lineOption = {
    tooltip: {
        trigger: 'item',
        backgroundColor:'white',
        borderWidth:1,
        // formatter : function (params) {
        //     return params.seriesName +'<br>'+params.name +'<br>'+params.data
        // },
        // position: function (point, params, dom, rect, size) {
        //     console.log(dom);
        //     // 固定在顶部
        //     return [point[0], '10%'];
        // },
        extraCssText: 'box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);',
        borderColor:'#e3e3e3',
        textStyle:{color:'#555'}
    },
    grid: {
        x:0,
        x2: 10,
        y: 24,
        y2: 35
    },
    xAxis:  {
        type: 'category',
        boundaryGap: true,
        axisLabel :{
            show:true,
            color:'#3a4144',
            interval:0
        },
        data: [],
        axisLine:{
            show:true,
            lineStyle:{
                color:'#a6a6a6'
            }
        },
        splitLine : {
            show:true,
            lineStyle:{
                color:'#e6e6e6'
            }
        }
    },
    yAxis: {
        type: 'value',
        splitLine : {
            show:true,
            lineStyle:{
                color:'#e6e6e6'
            }
        },
        // minInterval:1,
        splitNumber:6,
        axisLine:{
            show:true,
            lineStyle:{
                color:'#a6a6a6'
            }
        }
    },
    series: [
    ]
};
