export const radarOption = {
    tooltip: {
        trigger: 'item',
        backgroundColor:'white',
        borderWidth:1,
        borderColor:'#e3e3e3',
        extraCssText: 'box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);',
        textStyle:{color:'black',fontSize:10,lineHeight:20}
    },
    grid: { // 控制图的大小，调整下面这些值就可以，
        x: 40,
        x2: 100,
        y2: 150// y2可以控制 X轴跟Zoom控件之间的间隔，避免以为倾斜后造成 label重叠到zoom上
    },
    radar: {
        shape: 'circle',
        nameGap:5,
        // radius:['50%','75%'],
        name: {
            color:'#000000',
            textStyle: {
                padding: [3, 5]
            }
        },
        indicator: [
        ],
        splitArea:{
            show:false
        }
    },
    lineStyle:{
        normal: {
            borderWidth :30,
            borderType:'dashed'
        }
    },
    series: [{
        name: 'statisticsRadar',
        type: 'radar',
        itemStyle: {
            normal: {
                areaStyle: {
                    type: 'default',
                    opacity : 0.2
                },
                lineStyle: {
                    width : 5,
                    opacity : 1
                }
            }
        },
        data : [
            {
                value : [6, 5, 4, 2, 3],
                name : '预算分配（Allocated Budget）'
            },
            {
                value : [7, 2, 1, 8, 6],
                name : '实际开销（Actual Spending）'
            }
        ]
    }]
};
