export const getCtx = (font)=>{
    if(!font){
        font = "12px sans-serif";
    }
    if(this.rootCtx){
        return this.rootCtx;
    }
    var canvas = document.createElement('canvas')//首先创建一个canvas标签
    var ctx = canvas.getContext("2d");//把canvas的画笔给调出来
    ctx.font = font;
    this.font = font;
    this.rootCtx = ctx;
    return this.rootCtx;
};
// getCtx.prototype.rootCtx= null;
// getCtx.prototype.font=null;

export const ctxGetStrByWidth = (value,width)=>{
    let res = '';
    if(value){
        let strArray = (value+'').split('');
        let subStr = '';
        let ctx = getCtx();
        for(var i=0;i<strArray.length;i++){
            subStr = subStr + strArray[i];
            if( ctx.measureText(subStr).width > width){
                if(i==strArray.length - 1){
                    res = subStr;
                }else{
                    res = subStr + '...'
                }
                break;
            }
        }
    }
    return res;
};
