/*eslint-disable*/
import {getColorsByIndex,getMaxData,setRowHeaderName} from '_utils/statistics/commonUtil.js';

export {dataFilter,getSelctList} from '_utils/statistics/commonUtil.js';


// 数据解析
export const dataToEchartData = (dataInfo, columnId, index) => {
    //test
    // columnId = 'col_0_formmain_0084_field0004';
    //---------------------------------------
    // 入口cheeck
    if (!dataInfo){
        return {};
    }
    let res = {};
    res.value = '';
    let data = dataInfo.statisticsData.data;
    let info = dataInfo.statisticsInfo;
    if(!info.radarMax) info.radarMax = 8;
    // 行头计算

    // 取出合计项
    let lastData = dataInfo.statisticsData.lastData;
    // 合计的情况 弹出合计项；
    let topN = getMaxData(data,info.radarMax,columnId,info,0,'radar');
    // 合计值
    let sum = 0;
    if(lastData){
       sum = lastData[columnId][1];
      res.info = {sum:sum};
    }
    res.data = setRowHeaderName(topN,info,0,'radar');
    // index取色器
    res.color = getColorsByIndex(index);
    //  取得轮盘颜色
    // let numColors = getColorsByNum( res.data.length);
    // for (let i=0;i<res.data.length;i++){
    //     let item = res.data[i];
    //     item.capIndex = i;
    //     item.itemStyle = {normal:{color:numColors[i]}};
    // }
    return res;
};


