/**
 * @author monkeywang
 * Date: 17/11/9
 */
import  './index.css'
import Cap4BulkImport from './cap4-bulk-import/index.js';
import Cap4BulkUpdate from './cap4-bulk-update/index.js';
import Cap4BulkRefresh from './cap4-bulk-refresh/index.js';
import Cap4Statistics from './cap4-statistics/index.js';
import Cap4StatisticsPcTable from './cap4-statistics-pc-table/index.js';
// import Cap4ToolBar from './cap4-tool-bar/index.js';
import Cap4Title from './cap4-title/index.js';
import Cap4BasePage from './cap4-base-page/index.js';
import Cap4UploadExcel from './cap4-upload-excel/index.js';
import Cap4Iframe from './cap4-iframe/index.js';
import Cap4DynamicComponent from './cap4-dynamic-component/index.js';
import Cap4DoughnutChart from './cap4-doughnut-chart/index.js';
import Cap4Menu from './cap4-menu/index.js';
import Cap4StatisticsFunnel from './cap4-statistics-funnel/index.js';
import Cap4StatisticsQueue from './cap4-statistics-queue/index.js';
import Cap4StatisticsPieList from './cap4-statistics-pie-list/index.js';
import Cap4StatisticsPcUi from './cap4-statistics-pc-ui/index.js';
import Cap4Table from './cap4-table/index.js';
import Cap4ConditionPc from './cap4-condition-pc/index.js';
import Cap4ConditionM from './cap4-condition-m/index.js';

const components = [
  Cap4BulkImport,
  Cap4BulkUpdate,
  Cap4BulkRefresh,
  Cap4StatisticsPcTable,
  Cap4Statistics,
  // Cap4ToolBar,
  Cap4Title,
  Cap4BasePage,
  Cap4UploadExcel,
  Cap4Iframe,
  Cap4DoughnutChart,
  Cap4Menu,
  Cap4StatisticsFunnel,
  Cap4StatisticsQueue,
  Cap4StatisticsPieList,
  Cap4StatisticsPcUi,
  Cap4Table,
  Cap4ConditionPc,
  Cap4ConditionM,
  Cap4DynamicComponent];

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}
if (typeof window !== 'undefined' && window.Vue) {
  console.log('install:');
  install(window.Vue)
}

export default {
  version: '1.0.1',
  install,
  Cap4BulkImport,
  Cap4BulkUpdate,
  Cap4BulkRefresh,
  Cap4StatisticsPcTable,
  Cap4Statistics,
  // Cap4ToolBar,
  Cap4BasePage,
  Cap4UploadExcel,
  Cap4Iframe,
  Cap4DynamicComponent,
  Cap4Menu,
  Cap4StatisticsFunnel,
  Cap4StatisticsQueue,
  Cap4StatisticsPieList,
  Cap4StatisticsPcUi,
  Cap4Table,
  Cap4ConditionPc,
  Cap4ConditionM,
  Cap4DoughnutChart
}
