import Cap4ColumnBase from './cap4-column-base/index.js';
import Cap4ColumnStatisticsBar from './cap4-column-statistics-bar/index.js';
import Cap4ColumnCard from './cap4-column-card/index.js';
import Cap4ColumnStatisticsPie from './cap4-column-statistics-pie/index.js';
import Cap4ColumnInfo from './cap4-column-info/index.js';
import Cap4ColumnShortCut from './cap4-column-short-cut/index.js';

const components =
  [
    Cap4ColumnBase,
    Cap4ColumnStatisticsPie,
    Cap4ColumnStatisticsBar,
      Cap4ColumnCard,
      Cap4ColumnInfo,
      Cap4ColumnShortCut
  ];

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}
if (typeof window !== 'undefined' && window.Vue) {
  console.log('install:');
  install(window.Vue)
}
export default {
  version: '1.0.1',
  install,
  Cap4ColumnBase,
  Cap4ColumnStatisticsPie,
  Cap4ColumnStatisticsBar,
  Cap4ColumnCard,
    Cap4ColumnInfo,
    Cap4ColumnShortCut
}
