import env from "../../../layout/env/env.js"

export const getUrlParam = function (name) {
  if(process.env.NODE_ENV === 'production'){
    const reg = new RegExp("(^|&|#|/?)" + name + "=([^&]*)(&|$)", "i");
    const r = window.location.href.substr(1).match(reg);
    if (r != null) {
      let result = unescape(r[2]);
      if (result.indexOf('#') > 0) {
        result = result.slice(0, result.indexOf('#'));
      };
      return result;
    }
  }else{
    return env[name]
  }



  return null;
};
