// 取得列表头
export const colHeader = (dataInfo) => {
  if(dataInfo && dataInfo.statisticsData){
      return dataInfo.statisticsData.colData;
  }
  return null;
}

// 取得行表头 dataInfo, parm1:第几行表头
export const rowHeader = (dataInfo,index) => {
  let res = [];
  if(dataInfo && dataInfo.statisticsInfo && dataInfo.statisticsData && index<dataInfo.statisticsInfo.rowHeaders.length){
    let sectRow = dataInfo.statisticsInfo.rowHeaders[index];
    let rowKey = `${sectRow.aliasTableName}_${sectRow.name}`;

    for(let i=0;i<dataInfo.statisticsData.data.length;i++){
        let item = dataInfo.statisticsData.data[i];
        let resItem = {index:i,value:item[rowKey],rowKey:rowKey};
        res.push(resItem);
    }

  }
  return res;
}
// 取得列名
 export const colName = (dataInfo,statsFieldsIndex) => {
   let res = '';
   if(dataInfo && dataInfo.statisticsInfo && dataInfo.statisticsData){
     let statsField = dataInfo.statisticsInfo.statsFields[statsFieldsIndex];
     res = statsField.aliasDisplay;
   }
   return res;
 }
// 根据行表头和列表头 （和列）取得数据，选中的colHeaderIndex。
export const context = (dataInfo,choRowHeader,colHeaderIndex,statsFieldsIndex,rel) => {
  let res = ['',''];
  if(!rel)rel = 0;
  if(dataInfo && dataInfo.statisticsInfo && dataInfo.statisticsData && choRowHeader){
      let rowData = dataInfo.statisticsData.data[choRowHeader.index];
      // 组装key
      let colKey = `col_${colHeaderIndex}`;
      // 取得statsField
      if(statsFieldsIndex>=dataInfo.statisticsInfo.statsFields.length)return res[rel];
      let statsField = dataInfo.statisticsInfo.statsFields[statsFieldsIndex];
      let statsFieldKey =`${colKey}_${statsField.aliasTableName}_${statsField.name}`;
      // null 处理
      // if(rowData[statsFieldKey][0]!==0 && !rowData[statsFieldKey][0]){
      //   rowData[statsFieldKey][0] = '';
      // }
    res = rowData[statsFieldKey];
  }

  return res[rel];
}
