/**
 * @author wangwei
 * Date: 18/5/8
 */
require('../check-versions')();
require('shelljs/global');

var inquirer = require('inquirer');
var chalk = require('chalk');
var fs = require("fs");
var publishUtils = require('../utils/publishUtils')

let redDir =  function (componentsJson) {
  fs.readdir('./layout/pages', function (err, files) {
    console.log(chalk.green(`------>生成json`));
    compChoicePkg(files.filter(name => name.indexOf('Layout')>=0))
  })
}
// 选择构建
let compChoicePkg = function (files) {
  let choices = [];
  files.forEach((name)=>{
    let choice = {};
    choice.name = name;
    choice.value = name;
    choices.push(choice);
  })
  inquirer.prompt([{
    name: 'list',
    message: `选择需要编译的门户？[a]全选[space]选择/取消`,
    type: 'checkbox',
    choices: choices
  }]).then(function (answers) {
    console.log(answers.list);

    answers.list.forEach(item=>{
      console.log(`npm run build:layout ${item}`);
      exec(`npm run build:layout ${item}`)
    })
  })
}


redDir();
