# 统计echart组件包
----
用于页面中展示重要的提示信息。

### 基本用法
线形图
<script>
  import {data} from './egdata/statisticsData2.js'
  export default{
    data () {
       return {
          itemStyle:{'margin-left': '50px'},
          dataInfo: data
       }
    },
    methods: {
       penetrationClick(item) {
            alert('穿透：'+JSON.stringify(item))
       }
    }
  }
</script>
<div class="demo-block" style='height:300px'>
    <Cap4StatisticsLineFixed
      :dataInfo="dataInfo">
    </Cap4StatisticsLineFixed>
</div>

::: demo
```html

<script>
  import {data} from './egdata/statisticsData.js'
  export default{
    data () {
       return {
          itemStyle:{'margin-left': '50px'},
          dataInfo: data
       }
    },
    methods: {
       penetrationClick(item) {
            alert('穿透：'+JSON.stringify(item))
       }
    }
  }
</script>
<div class="demo-block" style='height:300px'>
    <Cap4StatisticsLineFixed
      :dataInfo="dataInfo">
    </Cap4StatisticsLineFixed>
</div>

```
:::

### Attributes
| 参数      | 说明                                 | 类型      | 可选值       | 默认值   |
|---------- |------------------------------------ |---------- |------------- |-------- |
|title      |	标题，必选参数。也可通过默认 slot 传入 |	string   |	—           |	—       |
|type	      | 主题                                |	string    |	success/warning/info/error|	info |
|description |	辅助性文字                         |	string    |	—             |	—      |
|closable   |	是否可关闭                           |	boolean   |	—	            | true   |
|center     |	文字是否居中                         |	boolean  |	—            |	true  |
|close-text	| 关闭按钮自定义文本                    |	string   |	—            |	—     |
|show-icon  |	是否显示图标                         |	boolean  	| —             |	false  |

### Event
| 事件名称      | 说明       | 回调参数   |
|------------- |----------- |---------  |
|close         |关闭alert时触发的事件| —  |
