# 更新表单数据缓存


- 根据传入从参数，可以更新后端表单的数据缓存，在保存表单时会将缓存中的值存入数据库中持久化
- 此接口需传入JSON数据格式

<br>

## 接口请求说明：

- http请求方式：POST 
<br>
http://ip:port/seeyon/rest/cap4/form/api/updateCacheFormData <br>
例如：<br>
http://127.0.0.1/seeyon/rest/cap4/form/api/updateCacheFormData <br>

| 参数           | 是否必须                                 | 参数说明      |
|-------------------- |------------------------------------ |---------- |
|formMasterDataId      |  是	 |	主表数据ID  | 
|formId                |  是	 |	表单ID  | 
|fieldName             |  是	 |	需要更新的字段名  | 
|fromRecordId          |  否	 |	重复表数据ID  | 
|formSonTableName      |  否	 |	重复表名  | 
|mergeData             |  是	 |	主从表的值（类型为Map，key为主从表的表名，value为所有字段值的Map，第二层Map的key为字段名，value为字段值）| 


## 返回说明：
- 正常更新成功，返回code码为2000。
- 其它失败情况，返回code码不为2000，且message有详细说明

