import Vue from 'vue';
import VueResource from 'vue-resource';
Vue.use(VueResource);
export default {
    execRest (params){
        if(params.type && params.type.toUpperCase() === 'POST'){
            return Vue.http.post(
                params.url,
                params.data,
                {
                    timeout: 3000
                }
            ).then(res => {
                return res.data;
            },error => {
                console.log(error);
            });
        }else{
            const random = Math.round(Math.random() * 100000);
            return Vue.http.get(
                `${params.url}?${random}`,
                {
                    timeout: 3000
                }
            ).then(res => {
                return res.data;
            },error => {
                console.log(error);
            });
        }
    }
}