"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUrlParam = undefined;

var _env = require("../../env/env");

var _env2 = _interopRequireDefault(_env);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getUrlParam = exports.getUrlParam = function getUrlParam(name) {
  if (process.env.NODE_ENV === 'production') {
    var reg = new RegExp("(^|&|#|/?)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.href.substr(1).match(reg);
    if (r != null) {
      var result = unescape(r[2]);
      if (result.indexOf('#') > 0) {
        result = result.slice(0, result.indexOf('#'));
      };
      return result;
    }
  } else {
    return _env2.default[name];
  }

  return null;
};