'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _moneyFormat = require('../statistics/moneyFormat.js');

exports.default = {
    methods: {
        moneyFormat: function moneyFormat(num) {
            return (0, _moneyFormat.moneyFilter)(num);
        },
        moneyFormat2: function moneyFormat2(num) {
            return (0, _moneyFormat.moneyFilter2)(num);
        },
        autoFilter: function autoFilter(item, info, mode) {
            return (0, _moneyFormat.autoFilter)(item, info, mode);
        }
    },
    filters: {
        moneyFormat: function moneyFormat(num) {
            return (0, _moneyFormat.moneyFilter)(num);
        },
        moneyFormat2: function moneyFormat2(num) {
            return (0, _moneyFormat.moneyFilter2)(num);
        }
    }
}; /*eslint-disable*/