import Cap4StatisticsMuiSelectGroup from './src/eap-phone-select-group.vue';
import Cap4StatisticsMuiPieTable from './src/eap-echart-table/eap-echart-table-pie.vue';
import Cap4StatisticsMuiLine from './src/eap-echart-table/eap-echart-table-line.vue';
import Cap4StatisticsMuiLineFilter from './src/eap-echart-table/eap-echart-table-line-filter.vue';
import Cap4StatisticsMuiLineHeader from './src/eap-echart-table/eap-echart-table-line-header.vue';
import Cap4StatisticsMuiLineTabs from './src/eap-echart-table/eap-echart-table-line-tabs.vue';

const components = [
  Cap4StatisticsMuiSelectGroup,
  Cap4StatisticsMuiPieTable,
  Cap4StatisticsMuiLine,
  Cap4StatisticsMuiLineFilter,
  Cap4StatisticsMuiLineHeader,
  Cap4StatisticsMuiLineTabs
];

for(let i=0;i<components.length;i++){
  let component = components[i];
  component.install = function (Vue) {
    Vue.component(component.name, component);
  };
}

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}

export default  {
  install,
  Cap4StatisticsMuiSelectGroup,
  Cap4StatisticsMuiPieTable,
  Cap4StatisticsMuiLine,
  Cap4StatisticsMuiLineFilter,
  Cap4StatisticsMuiLineHeader,
  Cap4StatisticsMuiLineTabs
}
