import Cap4StatisticsPcTableStatic from './src/static-header/static-header.vue';
import Cap4StatisticsPcTableTitle from './src/table-title/table-title.vue';
import Cap4StatisticsPcTableSelect from './src/eap-echart-select.vue';

import Cap4StatisticsPcPieTable from './src/table-echart-table/eap-echart-table-pie.vue';
import Cap4StatisticsPcLineTableBody from './src/table-echart-table/eap-echart-table-line.vue';
import Cap4StatisticsPcLineTableHeader from './src/table-echart-table/eap-echart-table-line-header.vue';


const components = [
  Cap4StatisticsPcTableStatic,
  Cap4StatisticsPcTableTitle,
  Cap4StatisticsPcTableSelect,
  Cap4StatisticsPcPieTable,
  Cap4StatisticsPcLineTableBody,
  Cap4StatisticsPcLineTableHeader
];

for(let i=0;i<components.length;i++){
  let component = components[i];
  component.install = function (Vue) {
    Vue.component(component.name, component);
  };
}

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}

export default  {
  install,
  Cap4StatisticsPcTableStatic,
  Cap4StatisticsPcTableTitle,
  Cap4StatisticsPcTableSelect,
  Cap4StatisticsPcPieTable,
  Cap4StatisticsPcLineTableBody,
  Cap4StatisticsPcLineTableHeader
}
