/*eslint-disable*/
import {getColorsByNum,getMaxData,setRowHeaderName} from '_utils/statistics/commonUtil.js';

export {dataFilter,getSelctList} from '_utils/statistics/commonUtil.js';

// 数据解析
export const dataToEchartData = (dataInfo, columnId,pieMax,statsField) => {
    console.log("dataToEchartData:---");
    //test
    // columnId = 'col_0_formmain_0084_field0004';
    //---------------------------------------
    // 入口cheeck
    if (!dataInfo){
        return {};
    }
    let res = {};
    res.value = '';
    let data = dataInfo.statisticsData.data;
    let info = dataInfo.statisticsInfo;
    // 初始化默认饼图,以服务器为基准。服务器没有设置用模板默认值
    if(!info.pieMax) info.pieMax = pieMax;
    // 行头计算

    // 取出合计项
    let lastData = dataInfo.statisticsData.lastData;
    // 合计的情况 弹出合计项；
    let topN = getMaxData(dataInfo,info.pieMax,columnId, null, null, null,statsField);
    // 合计值
    let sum = 0;
    if(lastData){
      sum = lastData[columnId][1];
      res.info = {sum:sum};
    }
    res.data = setRowHeaderName(topN,info,sum,'pie');
    //  取得轮盘颜色
    let numColors = getColorsByNum( res.data.length);
    for (let i=0;i<res.data.length;i++){
        let item = res.data[i];
        item.capIndex = i;
        item.itemStyle = {normal:{color:numColors[i]}};
    }




    return res;
};



