import Cap4Table from './src/cap4-table.vue';
import Cap4BusinessTable from './src/cap4-business-table.vue';

const components = [Cap4Table,Cap4BusinessTable];

// Cap4BusinessTable.install = function (Vue) {
//   Vue.component(Cap4Table.name, Cap4Table);
//   Vue.component(Cap4BusinessTable.name, Cap4BusinessTable);
// };

for(let i=0;i<components.length;i++){
  let component = components[i];
  component.install = function (Vue) {
    Vue.component(component.name, component);
  };
}

const install = function(Vue) {
  if (install.installed) return;
  components.map(component => component.install(Vue))
}

export default { install,Cap4Table, Cap4BusinessTable };
