import { set } from '../js/localstorage'
import { copy } from '../js/utils'
// 穿透
function goUrl (item, appId){
    const extend = encodeURI(JSON.stringify(item.rowParams || {}));
    const url = `${_ctxPath}/report4Result.do?method=reportPenetrate&rptDesignId=${appId}&extendParams=${extend}${CsrfGuard.getUrlSurffix()}`;
    window.open(url,'newForm','width='+(window.screen.availWidth-10)+',height='+(window.screen.availHeight-70)+ ',top=0,left=0,toolbar=no,menubar=no,scrollbars=no, resizable=no,location=no, status=no');
}

// 点击事件 --- 默认业务逻辑 -->  穿透
export function rowClick(item) {
    if(!this.preview) {
        let canPenetrate = false;
        if (item.row.penetrate && this.penetrate.enable) {
            let li = this.penetrate.tablePenetList;
            if(li && li.length > 0){
                const len = li.length;
                for(let i = 0; i < len; i ++){
                    if(li[i].category === 'excelreport'){
                        canPenetrate = true;
                        break;
                    }else{
                        let vl = li[i].viewList;
                        if(vl && vl.length > 0){
                            const vlLen = vl.length;
                            for(let j = 0; j < vlLen; j ++){
                                if(vl[j].type === 'seeyonform'){
                                    canPenetrate = true;
                                    break;
                                }
                            }
                        }
                    }
                    if(canPenetrate) break;
                }
            }
        }
        // 如果可以穿透
        if(canPenetrate)goUrl(item.row, this.appId);
    }
}
export function dragDone({ type, key, realWidth }) {
    set(this.appId,type || key, realWidth, this.localStorageWidth);
}
export function selectChange(array, item) {
    // console.log(array, item);
}
export function sortChange(array) {
    const params = copy(this.queryParams);
    params.dataInfo.userOrderBy = array.map( ({orderBy, key}) => {
        const i = key.lastIndexOf('_');
        const [aliasTableName, fieldName] = [key.slice(0,i), key.slice(i + 1)];
        return { aliasTableName, fieldName, orderType : orderBy }
    });
    this.keepAlive.columns = true;
    this.$emit('changeParams', params);
}