export function init(){
    let width;
    try{
        width = JSON.parse(localStorage.getItem('dragWidth'));
        if(!(width instanceof Object))width = {};
    }
    catch (e){
        width = {};
    }
    return width || {};
}
export function set(id,key,value,width = init()){
    let obj = width[id] || {};
    obj[key] = value;
    width[id] = obj;
    localStorage.setItem('dragWidth', JSON.stringify(width));
}
export function get(id,key,width = init()){
    return width[id]?width[id][key]:undefined;
}
