export function copy(obj) {
    let o;
    if(obj instanceof Array)o = [];
    else if(obj instanceof Object)o = {};
    if(o){
        Object.keys(obj).forEach((k) => {
            if (typeof obj[k] === 'function') {
                o[k] = obj[k];
            } else if (obj[k] instanceof Array) {
                o[k] = copy(obj[k], true);
            } else if (obj[k] instanceof Object) {
                o[k] = copy(obj[k]);
            } else {
                o[k] = obj[k];
            }
        });
        return o;
    }else {
        return obj;
    }
}
export function getParent(dom, string) {
    if(!dom) return false;
    if(dom.nodeName === 'TABLE')return false;
    if(dom.nodeName === string)return dom;
    return getParent(dom.parentNode, string);
}