export function copyData(result) {
  const deepCopy = function (sourse) {
    let obj;

    if ((sourse instanceof Array)) {
      obj = [];
      for (let i = 0, len = sourse.length; i < len; i++) {
        obj[i] = (typeof sourse[i] === 'object' && sourse[i] !== null) ? deepCopy(sourse[i]) : sourse[i];
      }
    } else {
      obj = {};
      Object.keys(sourse).forEach((key, __ind) => {
        obj[key] = (typeof sourse[key] === 'object' && sourse[key] !== null) ? deepCopy(sourse[key]) : sourse[key];
      });
    }
    return obj;
  };
  return deepCopy(result);
}
