/*eslint-disable*/
import {getUrlParam} from "../common/getUrlParams"

export default {
  data() {
    return {
        config:null,
        columns:null,
        bussId :'',
        templateId:''
    };
  },
  computed: {
     title() {
       if (this.config) {
         return this.config.name
       } else {
         return '';
       }
     }
  },
  methods: {
    getConfig (callback){
      this.templateId = getUrlParam('templateId');
      this.bussId = getUrlParam('bussId');

      this.$httpClient.getConfig().then((res)=>{
          console.log(res);
          this.config = res.data;
          this.columns = res.data.columns;
          if(callback)callback();
      }).catch(e=>{
         this.config = null;
         this.columns = null;
         if(callback)callback();
      })
    },
    getColumn (index){
       if(this.columns){
         if(this.columns[index] && this.columns[index].state == '1'){
           return this.columns[index]
         }
       }
      return false;
    }
  }
}
